# X880_Reject_problem Class Reference

`#include <x880.h>`

List of all members.

## Public Types

enum | Choices { e_general, e_invoke, e_returnResult, e_returnError }

## Public Member Functions

| X880_Reject_problem (unsigned tag=0, TagClass tagClass=UniversalTagClass)
| operator X880_GeneralProblem & ()
| operator const X880_GeneralProblem & () const
| operator X880_InvokeProblem & ()
| operator const X880_InvokeProblem & () const
| operator X880_ReturnResultProblem & ()
| operator const X880_ReturnResultProblem & () const
| operator X880_ReturnErrorProblem & ()
| operator const X880_ReturnErrorProblem & () const
PBoolean | CreateObject ()
PObject * | Clone () const

## Member Enumeration Documentation

enum X880_Reject_problem::Choices

Enumerator:

  e_general |
  e_invoke |
  e_returnResult |
  e_returnError |

## Constructor & Destructor Documentation

X880_Reject_problem::X880_Reject_problem | ( | unsigned | tag = `0`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

X880_Reject_problem::operator X880_GeneralProblem & | ( |  | ) |

X880_Reject_problem::operator const X880_GeneralProblem & | ( |  | ) | const

X880_Reject_problem::operator X880_InvokeProblem & | ( |  | ) |

X880_Reject_problem::operator const X880_InvokeProblem & | ( |  | ) | const

X880_Reject_problem::operator X880_ReturnResultProblem & | ( |  | ) |

X880_Reject_problem::operator const X880_ReturnResultProblem & | ( |  | ) | const

X880_Reject_problem::operator X880_ReturnErrorProblem & | ( |  | ) |

X880_Reject_problem::operator const X880_ReturnErrorProblem & | ( |  | ) | const

PBoolean X880_Reject_problem::CreateObject | ( |  | ) |

PObject* X880_Reject_problem::Clone | ( |  | ) | const

The documentation for this class was generated from the following file:

- x880.h